## org.eclipse.emf.cdo.transaction
Interface CDOCommitContext

All Known Subinterfaces:
  InternalCDOTransaction.InternalCDOCommitContext, InternalCDOXATransaction.InternalCDOXACommitContext

    public interface CDOCommitContext

Provides a context for commit operations.

Since:
  2.0

Method Summary
`java.util.Map<CDOID,CDOObject>` `getDetachedObjects()` Returns a map of the detached `objects` that are to be committed with this commit context.
`java.util.Map<CDOID,CDOObject>` `getDirtyObjects()` Returns a map of the dirty `objects` that are to be committed with this commit context.
`java.util.Map<CDOID,CDOObject>` `getNewObjects()` Returns a map of the new `objects` that are to be committed with this commit context.
`java.util.List<CDOPackageUnit>` `getNewPackageUnits()` Returns a list of the new `package units` that are to be committed with this commit context.
`java.util.Map<CDOID,CDOResource>` `getNewResources()` Returns a map of the new `resources` that are to be committed with this commit context.
`java.util.Map<CDOID,CDORevisionDelta>` `getRevisionDeltas()` Returns a map of the `revision deltas` that are to be committed with this commit context.
`CDOTransaction` `getTransaction()` Returns the `transaction` associated with this commit context.

Method Detail

### getTransaction

    CDOTransaction getTransaction()

  Returns the `transaction` associated with this commit context.

### getNewPackageUnits

    java.util.List<CDOPackageUnit> getNewPackageUnits()

  Returns a list of the new `package units` that are to be committed with this commit context.

### getNewResources

    java.util.Map<CDOID,CDOResource> getNewResources()

  Returns a map of the new `resources` that are to be committed with this commit context.

### getNewObjects

    java.util.Map<CDOID,CDOObject> getNewObjects()

  Returns a map of the new `objects` that are to be committed with this commit context.

### getDirtyObjects

    java.util.Map<CDOID,CDOObject> getDirtyObjects()

  Returns a map of the dirty `objects` that are to be committed with this commit context.

### getRevisionDeltas

    java.util.Map<CDOID,CDORevisionDelta> getRevisionDeltas()

  Returns a map of the `revision deltas` that are to be committed with this commit context.

### getDetachedObjects

    java.util.Map<CDOID,CDOObject> getDetachedObjects()

  Returns a map of the detached `objects` that are to be committed with this commit context.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.